interface Paginator<T> {
    data: T[];
    meta?: PaginatorMeta;
    links?: PaginatorLink[];
}
interface PaginatorLink {
    url: string | null | undefined;
    label: string;
    active: boolean;
}
interface PaginatorItem {
    url: string | null | undefined;
    label: string;
    isPage: boolean;
    isActive: boolean;
    isPrevious: boolean;
    isNext: boolean;
    isCurrent: boolean;
    isSeparator: boolean;
}
interface PaginatorMeta {
    current_page: number;
    first_page_url: string;
    from: number | null;
    last_page: number;
    last_page_url: string;
    next_page_url: string | null | undefined;
    path: string;
    per_page: number;
    prev_page_url: string | null | undefined;
    to: number | null;
    total: number;
    links?: PaginatorLink[];
}
declare const usePaginator: <T>(data: PaginatorMeta | Paginator<T>) => {
    pages: PaginatorItem[];
    items: PaginatorItem[];
    previous: PaginatorItem;
    next: PaginatorItem;
    first: {
        isActive: boolean;
        label: string;
        url: string | null | undefined;
        isPage: boolean;
        isPrevious: boolean;
        isNext: boolean;
        isCurrent: boolean;
        isSeparator: boolean;
    };
    last: {
        isActive: boolean;
        label: string;
        url: string | null | undefined;
        isPage: boolean;
        isPrevious: boolean;
        isNext: boolean;
        isCurrent: boolean;
        isSeparator: boolean;
    };
    total: number;
    from: number | null;
    to: number | null;
};

export { Paginator, usePaginator };
