const usePaginator = (data) => {
  const meta = data.meta ?? data;
  const links = (meta.links ?? data.links).map((link) => {
    return {
      ...link,
      url: decodeURIComponent(link.url)
    };
  });
  const items = links.map((link, index) => {
    return {
      url: link.url,
      label: link.label,
      isPage: !isNaN(+link.label),
      isPrevious: index === 0,
      isNext: index === links.length - 1,
      isCurrent: link.active,
      isSeparator: link.label == "...",
      isActive: !!link.url && !link.active
    };
  });
  const pages = items.filter(
    (item) => item.isPage || item.isSeparator
  );
  const current = items.find((item) => item.isCurrent);
  const previous = items.find((item) => item.isPrevious);
  const next = items.find((item) => item.isNext);
  const first = {
    ...items[1],
    isActive: items[1].url !== current?.url,
    label: "&laquo;"
  };
  const last = {
    ...items[items.length - 1],
    isActive: items[items.length - 1].url !== current?.url,
    label: "&raquo;"
  };
  const from = meta.from;
  const to = meta.to;
  const total = meta.total;
  return { pages, items, previous, next, first, last, total, from, to };
};

export { usePaginator };
//# sourceMappingURL=index.mjs.map
